%ifarch %{arm} aarch64
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 7

%define rel 1
%define pre        rc
%define snapshot   0

%define qtversion        %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtbodymovin   %mklibname qt5bodymovin %qtmajor
%define libqtbodymovin_d %mklibname qt5bodymovin -d

%if %snapshot
%define qttarballdir     qtlottie-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir     qtlottie-everywhere-opensource-src-%{qtversion}
%endif

Name:           qtlottie5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Lottie Animation
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires:  qtbase5-devel
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Lottie Animation provides a QML API for rendering graphics
and animations that are exported in JSON format by the Bodymovin plugin
for Adobe After Effects.

%files
%{_qt5_qmldir}/Qt/labs/lottieqt/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtLottie%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtLottie%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtlottieanimation.qch
%{_qt5_docdir}/qtlottieanimation/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtbodymovin}
Summary:        Qt%{qtmajor} Bodymovin Component Library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libqtbodymovin}
Qt%{qtmajor} Bodymovin Component Library.

%files -n %{libqtbodymovin}
%{_qt5_libdir}/libQt5Bodymovin.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtbodymovin_d}
Summary:        Devel files needed to build apps based on QtBodymovin
Group:          Development/KDE and Qt
Requires:       %{libqtbodymovin} = %{version}
Provides:       libqt5bodymovin-devel = %{version}
Provides:       libqtbodymovin5-devel = %{version}
Provides:       qt5bodymovin-devel = %{version}
Provides:       libqt5lottie-devel = %{version}
Provides:       libqtlottie5-devel = %{version}
Provides:       qt5lottie-devel = %{version}

%description -n %{libqtbodymovin_d}
Devel files needed to build apps based on Qt Bodymovin.

%files -n %{libqtbodymovin_d}
%{_qt5_includedir}/QtBodymovin/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_bodymovin_private.pri
%{_qt5_libdir}/libQt5Bodymovin.prl
%{_qt5_libdir}/libQt5Bodymovin.so
%{_qt5_libdir}/cmake/Qt5Bodymovin/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtlottie-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Sat Dec 03 2022 neoclust <neoclust> 5.15.7-1.mga9
+ Revision: 1915461
- New version 5.15.7

* Thu Sep 08 2022 neoclust <neoclust> 5.15.6-1.mga9
+ Revision: 1885951
- New version 5.15.6

* Sat Aug 27 2022 neoclust <neoclust> 5.15.5-1.mga9
+ Revision: 1881026
- New version 5.15.5

* Mon Apr 04 2022 umeabot <umeabot> 5.15.2-2.mga9
+ Revision: 1843201
- Mageia 9 Mass Rebuild

* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652456
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624908
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589821
- New version 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545424
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484397
- New version 5.14.1

* Mon Sep 09 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438644
- New version 5.13.1

* Mon Jul 29 2019 daviddavid <daviddavid> 5.13.0-2.mga8
+ Revision: 1425143
- rebuild into Release

* Tue Jul 16 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1421848
- initial package qtlottie5

